//
//  UIResponder+transmission.m
//  GMAILab
//
//  Created by 卢悦明 on 2020/5/12.
//

#import "UIResponder+transmission.h"
#import "GMLibraryHeader.h"

@implementation UIResponder (transmission)
/// 进行数据同步
/// 将当前UIResponder 上通用数据同步给 response
/// @param response 需要进行同步的response
- (void)synchronizePVData:(UIResponder *)response {
    
    if (!self || !response) {
        return;
    }
    response.pageName = SafeString(self.pageName);
    response.tabName = SafeString(self.tabName);
    response.referrerTabName = SafeString(self.referrerTabName);
    response.businessId = SafeString(self.businessId);
    response.referer = SafeString(self.referer);
    response.referrerId = SafeString(self.referrerId);
}

@end
